path: /build/build/kfilemetadata-kde-frameworks-5-5.111.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - USE="-curl cxx -introspection -jpeg -jpeg2k lcms qt5 cairo utils" emerge app-text/poppler
    -j
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc -test epub exif ffmpeg kernel_linux mobi office pdf taglib" emerge kde-frameworks/kfilemetadata:5 -pv -t && \
    USE="-doc -test epub exif ffmpeg kernel_linux mobi office pdf taglib" emerge -j ${JOBS} --nodeps kde-frameworks/kfilemetadata:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kfilemetadata && luet-portage --dir
    /pkgdir/kfilemetadata kde-frameworks/kfilemetadata:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:bc675fa8dad8eebd063c34c1df281d950accc7e998ee1835f935b88a81a6b653
  package:
    name: kfilemetadata
    version: 5.111.0
    category: kde-frameworks-5
    use_flags:
    - -doc
    - -test
    - epub
    - exif
    - ffmpeg
    - kernel_linux
    - mobi
    - office
    - pdf
    - taglib
    requires:
    - name: kdegraphics-mobipocket
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library for extracting file metadata
    uri:
    - https://kde.org/
    license: LGPL-2+
    buildtimestamp: 2024-02-12 16:48:33.687556809 +0000 UTC m=+248.895715050
    labels:
      BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
        dev-lang/python:3.10 ) ) dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
        doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kcoreaddons-5.111:5
        >=kde-frameworks/ki18n-5.111:5 epub? ( app-text/ebook-tools ) exif? ( media-gfx/exiv2:=
        ) ffmpeg? ( media-video/ffmpeg:0= ) mobi? ( kde-apps/kdegraphics-mobipocket
        ) office? ( >=kde-frameworks/karchive-5.111:5 ) pdf? ( app-text/poppler[qt5]
        ) taglib? ( media-libs/taglib ) kernel_linux? ( sys-apps/attr ) dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5
        doc? ( >=dev-qt/qt-docs-5.15.1:5 ) dev-util/desktop-file-utils'
      IUSE: epub exif ffmpeg mobi office pdf taglib debug doc test
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kcoreaddons-5.111:5
        >=kde-frameworks/ki18n-5.111:5 epub? ( app-text/ebook-tools ) exif? ( media-gfx/exiv2:=
        ) ffmpeg? ( media-video/ffmpeg:0= ) mobi? ( kde-apps/kdegraphics-mobipocket
        ) office? ( >=kde-frameworks/karchive-5.111:5 ) pdf? ( app-text/poppler[qt5]
        ) taglib? ( media-libs/taglib ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
        )'
      emerge.packages: kde-frameworks/kfilemetadata:5
      kit: kde-kit
      original.package.name: kde-frameworks/kfilemetadata
      original.package.slot: "5"
      original.package.version: 5.111.0
    treedir: /build/packages
  package_dir: /pkgdir/kfilemetadata
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d181857afbf5a62fcb0d2edcc43606245733982d9a762aca420e071f3fa93f46
compressiontype: zstd
files:
- usr/include/KF5/KFileMetaData/KFileMetaData/EmbeddedImageData
- usr/include/KF5/KFileMetaData/KFileMetaData/ExtractionResult
- usr/include/KF5/KFileMetaData/KFileMetaData/Extractor
- usr/include/KF5/KFileMetaData/KFileMetaData/ExtractorCollection
- usr/include/KF5/KFileMetaData/KFileMetaData/ExtractorPlugin
- usr/include/KF5/KFileMetaData/KFileMetaData/MimeUtils
- usr/include/KF5/KFileMetaData/KFileMetaData/Properties
- usr/include/KF5/KFileMetaData/KFileMetaData/PropertyInfo
- usr/include/KF5/KFileMetaData/KFileMetaData/SimpleExtractionResult
- usr/include/KF5/KFileMetaData/KFileMetaData/TypeInfo
- usr/include/KF5/KFileMetaData/KFileMetaData/Types
- usr/include/KF5/KFileMetaData/KFileMetaData/UserMetaData
- usr/include/KF5/KFileMetaData/KFileMetaData/WriteData
- usr/include/KF5/KFileMetaData/KFileMetaData/Writer
- usr/include/KF5/KFileMetaData/KFileMetaData/WriterCollection
- usr/include/KF5/KFileMetaData/KFileMetaData/WriterPlugin
- usr/include/KF5/KFileMetaData/kfilemetadata/embeddedimagedata.h
- usr/include/KF5/KFileMetaData/kfilemetadata/extractionresult.h
- usr/include/KF5/KFileMetaData/kfilemetadata/extractor.h
- usr/include/KF5/KFileMetaData/kfilemetadata/extractorcollection.h
- usr/include/KF5/KFileMetaData/kfilemetadata/extractorplugin.h
- usr/include/KF5/KFileMetaData/kfilemetadata/kfilemetadata_export.h
- usr/include/KF5/KFileMetaData/kfilemetadata/mimeutils.h
- usr/include/KF5/KFileMetaData/kfilemetadata/properties.h
- usr/include/KF5/KFileMetaData/kfilemetadata/propertyinfo.h
- usr/include/KF5/KFileMetaData/kfilemetadata/simpleextractionresult.h
- usr/include/KF5/KFileMetaData/kfilemetadata/typeinfo.h
- usr/include/KF5/KFileMetaData/kfilemetadata/types.h
- usr/include/KF5/KFileMetaData/kfilemetadata/usermetadata.h
- usr/include/KF5/KFileMetaData/kfilemetadata/writedata.h
- usr/include/KF5/KFileMetaData/kfilemetadata/writer.h
- usr/include/KF5/KFileMetaData/kfilemetadata/writercollection.h
- usr/include/KF5/KFileMetaData/kfilemetadata/writerplugin.h
- usr/include/KF5/KFileMetaData/kfilemetadata_version.h
- usr/lib64/cmake/KF5FileMetaData/KF5FileMetaDataConfig.cmake
- usr/lib64/cmake/KF5FileMetaData/KF5FileMetaDataConfigVersion.cmake
- usr/lib64/cmake/KF5FileMetaData/KF5FileMetaDataTargets-gentoo.cmake
- usr/lib64/cmake/KF5FileMetaData/KF5FileMetaDataTargets.cmake
- usr/lib64/libKF5FileMetaData.so
- usr/lib64/libKF5FileMetaData.so.3
- usr/lib64/libKF5FileMetaData.so.5.111.0
- usr/lib64/qt5/mkspecs/modules/qt_KFileMetaData.pri
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_epubextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_exiv2extractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_fb2extractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_ffmpegextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_mobiextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_odfextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_office2007extractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_officeextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_plaintextextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_pngextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_poextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_popplerextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_postscriptdscextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_taglibextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/kfilemetadata_xmlextractor.so
- usr/lib64/qt5/plugins/kf5/kfilemetadata/writers/kfilemetadata_taglibwriter.so
- usr/share/doc/kfilemetadata-5.111.0/README.md.bz2
- usr/share/locale/ar/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/az/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/bg/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/bs/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ca/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/cs/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/da/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/de/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/el/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/en_GB/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/eo/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/es/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/et/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/eu/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/fi/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/fr/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/gd/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/gl/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/hu/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ia/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/id/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ie/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/it/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ja/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ka/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ko/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/lt/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ml/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/nb/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/nds/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/nl/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/nn/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/pa/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/pl/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/pt/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ro/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ru/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sk/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sl/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sr/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sr@latin/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/sv/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/ta/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/tg/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/tr/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/uk/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kfilemetadata5.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kfilemetadata5.mo
- usr/share/qlogging-categories5/kfilemetadata.categories
- usr/share/qlogging-categories5/kfilemetadata.renamecategories
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/BDEPEND
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/BUILD_TIME
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CATEGORY
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CBUILD
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CFLAGS
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CHOST
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CONTENTS
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/COUNTER
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/CXXFLAGS
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/DEFINED_PHASES
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/DEPEND
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/DESCRIPTION
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/EAPI
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/FEATURES
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/HOMEPAGE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/INHERITED
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/IUSE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/IUSE_EFFECTIVE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/KEYWORDS
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/LDFLAGS
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/LICENSE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/NEEDED
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/PF
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/PROVIDES
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/RDEPEND
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/REQUIRES
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/RESTRICT
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/SIZE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/SLOT
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/USE
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/environment.bz2
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/kfilemetadata-5.111.0.ebuild
- var/db/pkg/kde-frameworks/kfilemetadata-5.111.0/repository
package_cacheimage: ""
runtime:
  name: kfilemetadata
  version: 5.111.0
  category: kde-frameworks-5
  use_flags:
  - -doc
  - -test
  - epub
  - exif
  - ffmpeg
  - kernel_linux
  - mobi
  - office
  - pdf
  - taglib
  requires:
  - name: ebook-tools
    version: '>=0'
    category: app-text
  - name: poppler
    version: '>=0'
    category: app-text
  - name: qtxml
    version: '>=0'
    category: dev-qt-5
  - name: kdegraphics-mobipocket
    version: '>=0'
    category: kde-apps-5
  - name: karchive
    version: '>=0'
    category: kde-frameworks-5
  - name: kcoreaddons
    version: '>=0'
    category: kde-frameworks-5
  - name: ki18n
    version: '>=0'
    category: kde-frameworks-5
  - name: exiv2
    version: '>=0'
    category: media-gfx
  - name: taglib
    version: '>=0'
    category: media-libs
  - name: ffmpeg
    version: '>=0'
    category: media-video
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library for extracting file metadata
  uri:
  - https://kde.org/
  license: LGPL-2+
  labels:
    BDEPEND: test? ( || ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7
      dev-lang/python:3.10 ) ) dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.111:5
      doc? ( >=dev-qt/qthelp-5.15.1:5 >=app-doc/doxygen-1.8.13-r1 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kcoreaddons-5.111:5
      >=kde-frameworks/ki18n-5.111:5 epub? ( app-text/ebook-tools ) exif? ( media-gfx/exiv2:=
      ) ffmpeg? ( media-video/ffmpeg:0= ) mobi? ( kde-apps/kdegraphics-mobipocket
      ) office? ( >=kde-frameworks/karchive-5.111:5 ) pdf? ( app-text/poppler[qt5]
      ) taglib? ( media-libs/taglib ) kernel_linux? ( sys-apps/attr ) dev-util/desktop-file-utils
      x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.1:5 ) >=dev-qt/qtcore-5.15.1:5
      doc? ( >=dev-qt/qt-docs-5.15.1:5 ) dev-util/desktop-file-utils'
    IUSE: epub exif ffmpeg mobi office pdf taglib debug doc test
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtxml-5.15.1:5 >=kde-frameworks/kcoreaddons-5.111:5
      >=kde-frameworks/ki18n-5.111:5 epub? ( app-text/ebook-tools ) exif? ( media-gfx/exiv2:=
      ) ffmpeg? ( media-video/ffmpeg:0= ) mobi? ( kde-apps/kdegraphics-mobipocket
      ) office? ( >=kde-frameworks/karchive-5.111:5 ) pdf? ( app-text/poppler[qt5]
      ) taglib? ( media-libs/taglib ) >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.111:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5 doc? ( >=dev-qt/qt-docs-5.15.1:5
      )'
    emerge.packages: kde-frameworks/kfilemetadata:5
    kit: kde-kit
    original.package.name: kde-frameworks/kfilemetadata
    original.package.slot: "5"
    original.package.version: 5.111.0
